---
title: CSSOMString
slug: Web/API/CSSOMString
tags:
  - API
  - CSSOM
  - Reference
---
<p>{{APIRef("DOM")}}</p>

<p><strong><code>CSSOMString</code></strong> is used to denote string data in <a href="/en-US/docs/Web/API/CSS_Object_Model">CSSOM</a> specifications and can refer to either {{domxref("DOMString")}} or {{domxref("USVString")}}. When a specification says <code>CSSOMString</code>, it depends on the browser vendors to choose whether to use <code>DOMString</code> or <code>USVString</code>. While browser implementations that use UTF-8 internally to represent strings in memory can use <code>USVString</code> when the specification says <code>CSSOMString</code>, implementations that already represent strings as 16-bit sequences might choose to use <code>DOMString</code> instead.</p>

<h4 id="Implementation_differences">Implementation differences</h4>

<table class="standard-table">
 <tbody>
  <tr>
   <td class="header">Browser</td>
   <td class="header">DOMString or USVString for CSSOMString</td>
  </tr>
  <tr>
   <td>Firefox (Gecko)</td>
   <td>USVString</td>
  </tr>
  <tr>
   <td>Chrome (Blink)</td>
   <td>USVString</td>
  </tr>
  <tr>
   <td>Safari (WebKit)</td>
   <td>USVString</td>
  </tr>
  <tr>
   <td>Edge (EdgeHTML)</td>
   <td>-</td>
  </tr>
  <tr>
   <td>Opera (Blink)</td>
   <td>USVString</td>
  </tr>
 </tbody>
</table>

<h2 id="Specifications">Specifications</h2>

<table class="standard-table">
 <thead>
  <tr>
   <th scope="col">Specification</th>
   <th scope="col">Status</th>
   <th scope="col">Comment</th>
  </tr>
 </thead>
 <tbody>
  <tr>
   <td>{{SpecName('CSSOM', '#cssomstring-type', 'CSSOMString')}}</td>
   <td>{{Spec2("CSSOM")}}</td>
   <td>Initial definition.</td>
  </tr>
 </tbody>
</table>

<h2 id="See_also">See also</h2>

<ul>
 <li>{{jsxref("Global_Objects/String", "String")}}</li>
 <li>{{domxref("CSSOM")}}</li>
 <li>{{domxref("DOMString")}}</li>
 <li>{{domxref("USVString")}}</li>
 <li><a href="/en-US/docs/Web/API/DOMString/Binary">Binary strings</a></li>
</ul>
